Bug 83562 - FILESAVE: Automatic font color of text not persisted if cell has line break and non-automatic font color
Summary: FILESAVE: Automatic font color of text not persisted if cell has line break a...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: Other Linux (All)
: high minor
Assignee: Dennis Francis
QA Contact:
URL:
Whiteboard: BSA odf target:6.0.0 target:5.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-09-06 13:56 UTC by Nick222
Modified: 2017-08-31 18:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
File with error cell (15.59 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-09-06 13:56 UTC, Nick222
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick222 2014-09-06 13:56:05 UTC
Created attachment 105837 [details]
File with error cell

Problem description: 
Cannot save font color after change it from grey (see file in attachment).

Steps to reproduce:
1. Cell A1 (all font ib cell formated as grey) - mark second line in it and set font color for second line in cell to "Automatic".
Font color in this line change from grey to black.
2. Save document.
3. Open document.

Current behavior:
Font color in second line in A1 became grey again.

Expected behavior:
Font in second line must be black.

Xubuntu 14.04
LO 4.3.1.2 ID: 430m0(Build:2)
Operating System: Ubuntu
Version: 4.3.1.2 release
Comment 1 ign_christian 2014-09-06 15:07:38 UTC
In my observation, automatic font color in highlighted text not persisted if the cell has line break & has a font color.

Steps to repro from scratch:
1. Select cell A1 > pick a font color (eg. Blue 2)
2. Type: test > line break (ctrl+enter)
3. Double-click the text in A1 (test) via input line > pick automatic font color
4. Save as ODS file > close > reopen file

Issue: text in cell A1 (test) back to Blue 2 color

Reproduced with LO 4.3.1.2, 4.2.6.3, 4.2.0.0.beta1 - Ubuntu 12.04 x86

Not reproduced with LO 4.1.6.2
Comment 2 Xisco Faulí 2014-09-17 08:25:13 UTC
bibisected:

1711ac6e2188f8fed8e027a2241fe878c898a604 is the first bad commit
commit 1711ac6e2188f8fed8e027a2241fe878c898a604
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Fri Oct 18 02:26:52 2013 +0000

    source-hash-8a569f1c4decc7440e9dae1af35d7fa59c3b0121
    
    commit 8a569f1c4decc7440e9dae1af35d7fa59c3b0121
    Author:     Miklos Vajna <vmiklos@suse.cz>
    AuthorDate: Thu Aug 22 11:04:15 2013 +0200
    Commit:     Miklos Vajna <vmiklos@suse.cz>
    CommitDate: Thu Aug 22 11:15:02 2013 +0200
    
        SwASCWriter: out of bounds substring access
    
        Regression from 6e0d836ff120ba292ba52f3623a3dd9be04aefc2, when simply
        copy-pasting some string to a terminal window, rFltNm is empty.
    
        Change-Id: I874e262ef1a3ebb38d90d9ef4f1b8d3457c5daff

:100644 100644 20e43d8047d2fe70d85da0b3dfee6f9eaf45b27c 88e39d653cae26ac7f42737ccaee97c91896117a M	ccache.log
:100644 100644 2c8c9638ebc10cb8e92893fb8ef280dcd71ac574 61c486cc1fd9e6a09680647050a894d235865a42 M	commitmsg
:100644 100644 d8e41b727f0e5b366c0ffaf9fc2c1c1d2b76cc9f ad72014e1c57ebb9fc391ac7f3440084f307f810 M	dev-install.log
:040000 040000 4d869feaa4f0a081e83c2d12c60c7fe66745fdce 7b7448b43aa552551977eb5fedc3939707459778 M	opt

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect bad 4850941efe43ae800be5c76e1102ab80ac2c085d
# skip: [a043626b542eb8314218d7439534dce2fc325304] source-hash-9379a922c07df3cdb7d567cc88dfaaa39ead3681
git bisect skip a043626b542eb8314218d7439534dce2fc325304
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# skip: [aba65c3e4c0df07e4909aeefb758cdb688242bf6] source-hash-827524abfb4b577d08276fde40929a9adfb7ff1a
git bisect skip aba65c3e4c0df07e4909aeefb758cdb688242bf6
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31] source-hash-c69ed33628ec0b7abf6296539cf280d6c4265930
git bisect bad c81a8a0dcfc1ed095a80e4485c89dd0fcaf73f31
# bad: [1d4980621741d3050a5fe61b247c157d769988f2] source-hash-89d01a7d8028ddb765e02c116d202a2435894217
git bisect bad 1d4980621741d3050a5fe61b247c157d769988f2
# good: [ba096f438393091574da98fe7b8e6b05182a8971] source-hash-8499e78ca03c792f4fa2650e02b519094ba0baa8
git bisect good ba096f438393091574da98fe7b8e6b05182a8971
# good: [e75547cbd2d9d480ba13e119a8df8098c9d3a0a3] source-hash-69f686774cfeb803fdd63ed1ef07ff70550930de
git bisect good e75547cbd2d9d480ba13e119a8df8098c9d3a0a3
# bad: [bac2489ff3b644bd046102e379bff5a6c6c469d9] source-hash-621c1e491e56db5416da1c763aaff862e8ede67a
git bisect bad bac2489ff3b644bd046102e379bff5a6c6c469d9
# good: [32c7515d0a5143cdc0c174c7d9767e00a0bef0c8] source-hash-4450b1b93f7f7b5f97c631fe767b1156350a9227
git bisect good 32c7515d0a5143cdc0c174c7d9767e00a0bef0c8
# good: [d4758f4ff77e4bc7288b08b29aa5a1426d2247bb] source-hash-349c91c8ec6afc1f5c8499529d559af34d115a76
git bisect good d4758f4ff77e4bc7288b08b29aa5a1426d2247bb
# bad: [1711ac6e2188f8fed8e027a2241fe878c898a604] source-hash-8a569f1c4decc7440e9dae1af35d7fa59c3b0121
git bisect bad 1711ac6e2188f8fed8e027a2241fe878c898a604
# first bad commit: [1711ac6e2188f8fed8e027a2241fe878c898a604] source-hash-8a569f1c4decc7440e9dae1af35d7fa59c3b0121
Comment 3 Xisco Faulí 2014-09-17 15:05:37 UTC
I believe this issue was introduced by 21661ebfbec9ea162582bbc7ab46607eb9095f1a

@Kohei: Could you please take a look whenever you have some time ?
Comment 4 Xisco Faulí 2014-10-20 09:11:34 UTC
It seems that the commit that caused this regression was identified. (Or at
least a commit is suspected as the offending one.)

Thus setting keyword "bisected".
Comment 5 Robinson Tryon (qubit) 2015-12-13 11:16:21 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]
Comment 6 Xisco Faulí 2016-10-03 09:24:44 UTC
Adding Cc: to Kohei Yoshida
Comment 7 Commit Notification 2017-08-20 10:49:30 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=06d104ecda085200fb6d22e0bd6d6cb89ca4f66c

tdf#83562: Make the EditTextObject export of automatic colors...

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2017-08-23 16:14:47 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b4c5f66083a92f4bfc9bd20a2a5b1e863ec84c1&h=libreoffice-5-4

tdf#83562: Make the EditTextObject export of automatic colors...

It will be available in 5.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2017-08-24 11:38:05 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ebe58344ba4bf6ad7de49564ebf10940d7636176&h=libreoffice-5-4-1

tdf#83562: Make the EditTextObject export of automatic colors...

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Thomas Lendo 2017-08-31 18:57:11 UTC
Verified in Version: 5.4.1.2
Build-ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU-Threads: 4; Betriebssystem:Linux 4.10; UI-Render: Standard; VCL: gtk2; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group

Thanks for the fix, Dennis.